Qt Reference Documentation

# QStyleOptionTabWidgetFrameV2 Class Reference

The QStyleOptionTabWidgetFrameV2 class is used to describe the parameters for drawing the frame around a tab widget. More...

     #include <QStyleOptionTabWidgetFrameV2>

Inherits: QStyleOptionTabWidgetFrame.

- List of all members, including inherited members

## Public Types

enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionTabWidgetFrameV2 ()
| QStyleOptionTabWidgetFrameV2 ( const QStyleOptionTabWidgetFrameV2 & other )
| QStyleOptionTabWidgetFrameV2 ( const QStyleOptionTabWidgetFrame & other )
QStyleOptionTabWidgetFrameV2 & | operator= ( const QStyleOptionTabWidgetFrame & other )

- 2 public functions inherited from QStyleOption

## Public Variables

QRect | selectedTabRect
QRect | tabBarRect

- 6 public variables inherited from QStyleOptionTabWidgetFrame
- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionTabWidgetFrameV2 class is used to describe the parameters for drawing the frame around a tab widget.

QStyleOptionTabWidgetFrameV2 contains all the information that QStyle functions need to draw the frame around QTabWidget.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption and QTabWidget.

## Member Type Documentation

### enum QStyleOptionTabWidgetFrameV2::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabWidgetFrameV2::Version` | `2` | 2

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionTabWidgetFrameV2::QStyleOptionTabWidgetFrameV2 ()

Constructs a QStyleOptionTabWidgetFrameV2, initializing the members variables to their default values.

### QStyleOptionTabWidgetFrameV2::QStyleOptionTabWidgetFrameV2 ( const QStyleOptionTabWidgetFrameV2 & other )

Constructs a QStyleOptionTabWidgetFrameV2 copy of the other style option.

If the other style option's version is 1, the new style option's selectedTabRect and tabBarRect will contain null rects

See also version.

### QStyleOptionTabWidgetFrameV2::QStyleOptionTabWidgetFrameV2 ( const QStyleOptionTabWidgetFrame & other )

Constructs a QStyleOptionTabWidgetFrameV2 copy of the other style option.

If the other style option's version is 1, the new style option's selectedTabRect and tabBarRect will contain null rects

See also version.

### QStyleOptionTabWidgetFrameV2 & QStyleOptionTabWidgetFrameV2::operator= ( const QStyleOptionTabWidgetFrame & other )

Assigns the other style option to this style option. The other style option can be either of the QStyleOptionFrameV2 or QStyleOptionFrame types.

If the other style option's version is 1, this style option's QStyleOptionFrameV2::FrameFeature value is set to QStyleOptionFrameV2::None. If its version is 2, its FrameFeature value is simply copied to this style option.

## Member Variable Documentation

### QRect QStyleOptionTabWidgetFrameV2::selectedTabRect

This variable holds the rectangle containing the selected tab.

This rectangle is contained within the tabBarRect. The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.

### QRect QStyleOptionTabWidgetFrameV2::tabBarRect

This variable holds the rectangle containing all the tabs.

The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.